package com.kingdee.eas.custom.compensation;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractDonationDeductInfo extends com.kingdee.eas.framework.CoreBillBaseInfo implements Serializable 
{
    public AbstractDonationDeductInfo()
    {
        this("id");
    }
    protected AbstractDonationDeductInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 投诉乐捐扣除数据表 's 人员 property 
     */
    public com.kingdee.eas.basedata.person.PersonInfo getPerson()
    {
        return (com.kingdee.eas.basedata.person.PersonInfo)get("person");
    }
    public void setPerson(com.kingdee.eas.basedata.person.PersonInfo item)
    {
        put("person", item);
    }
    /**
     * Object:投诉乐捐扣除数据表's 投诉罚款金额property 
     */
    public java.math.BigDecimal getComplaintFineAmount()
    {
        return getBigDecimal("complaintFineAmount");
    }
    public void setComplaintFineAmount(java.math.BigDecimal item)
    {
        setBigDecimal("complaintFineAmount", item);
    }
    /**
     * Object:投诉乐捐扣除数据表's 违规乐捐金额property 
     */
    public java.math.BigDecimal getViolationDonAmount()
    {
        return getBigDecimal("violationDonAmount");
    }
    public void setViolationDonAmount(java.math.BigDecimal item)
    {
        setBigDecimal("violationDonAmount", item);
    }
    /**
     * Object:投诉乐捐扣除数据表's 是否生成提报单property 
     */
    public boolean isIsGenerateReportBill()
    {
        return getBoolean("isGenerateReportBill");
    }
    public void setIsGenerateReportBill(boolean item)
    {
        setBoolean("isGenerateReportBill", item);
    }
    /**
     * Object:投诉乐捐扣除数据表's 提报分录idproperty 
     */
    public String getReportEntryId()
    {
        return getString("reportEntryId");
    }
    public void setReportEntryId(String item)
    {
        setString("reportEntryId", item);
    }
    /**
     * Object: 投诉乐捐扣除数据表 's 违规类型 property 
     */
    public com.kingdee.eas.custom.compensation.basedata.ViolationTypeInfo getViolationType()
    {
        return (com.kingdee.eas.custom.compensation.basedata.ViolationTypeInfo)get("violationType");
    }
    public void setViolationType(com.kingdee.eas.custom.compensation.basedata.ViolationTypeInfo item)
    {
        put("violationType", item);
    }
    /**
     * Object:投诉乐捐扣除数据表's 状态property 
     */
    public com.kingdee.eas.custom.compensation.bizEnum.SyncStatusEnum getState()
    {
        return com.kingdee.eas.custom.compensation.bizEnum.SyncStatusEnum.getEnum(getString("state"));
    }
    public void setState(com.kingdee.eas.custom.compensation.bizEnum.SyncStatusEnum item)
    {
		if (item != null) {
        setString("state", item.getValue());
		}
    }
    /**
     * Object:投诉乐捐扣除数据表's 发生日期property 
     */
    public java.util.Date getEffectDate()
    {
        return getDate("effectDate");
    }
    public void setEffectDate(java.util.Date item)
    {
        setDate("effectDate", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("BEDF619E");
    }
}